### Function Macro

# GLib PASTE

since: 2.20

#### Declaration [src]

    #define G_PASTE (
      identifier1,
      identifier2
    )

#### Description [src]

Yields a new preprocessor pasted identifier `identifier1identifier2` from its expanded arguments `identifier1` and `identifier2`. For example, the following code:

    #define GET(traveller,method) G_PASTE(traveller_get_, method) (traveller)
    const gchar *name = GET (traveller, name);
    const gchar *quest = GET (traveller, quest);
    GdkColor *favourite = GET (traveller, favourite_colour);

is transformed by the preprocessor into:

    const gchar *name = traveller_get_name (traveller);
    const gchar *quest = traveller_get_quest (traveller);
    GdkColor *favourite = traveller_get_favourite_colour (traveller);

Available since: 2.20

This function is not directly available to language bindings.

#### Parameters

`identifier1`

  Type: `-`

  An identifier.

`identifier2`

  Type: `-`

  An identifier.